Subject: Re: keymap property ignored for mouse click on overlay

From: Chong Yidong <[email-masked]>
Date: Wed, 16 Apr 2008 17:10:15 -0400

"Drew Adams" <[email-masked]> writes:

> Yidong's suggestion still has the (overlay-put overlay 'keymap
> foo-map); yours does not. Is that part needed? (Trying to understand
> what is needed, not just what works on this example.)

No.  The only local keymap considered is the one on the display string.